# Access Control

The table below outlines the access control permissions for the **Factory** contract:

| **Access**              | **Role**                   | **Function name** | **Description**                                                                     |
| ----------------------- | -------------------------- | ----------------- | ----------------------------------------------------------------------------------- |
| Protocol Owner          | FACTORY\_ADMIN             | upgradeTo         | Upgrades factory/registry contract implementations or logic                         |
| Protocol Owner          | FACTORY\_ADMIN             | deployProtocol    | deploys new RE/OE and set the governor address to config them and deploy new pToken |
| Governor (via Timelock) | \_CONFIGURATOR\_PERMISSION | deployMarket      | Deploys a new pToken for the specified protocol ID                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pike.finance/developer-docs/smart-contracts/factory/access-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
